Subject: Re: bug#49268: 28.0.50; emacs could not load dump file not built for this Emacs executable

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Jun 2021 16:38:48 +0300

[Please keep the bug address on the CC list.]

> From: Bryan O'Brien <[email-masked]>
> Date: Tue, 29 Jun 2021 07:43:07 -0500
> 
> +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
> I’m not completely certain.
> 
> > find . -name '*.pdmp' -exec ls -ls {} \;
> pdmp
> /Users/bobrien/src/emacs/src/emacs.pdmp
> /Users/bobrien/src/emacs/src/emacs-28.0.50.3.pdmp
> /Users/bobrien/src/emacs/src/emacs-28.0.50.2.pdmp
> /Users/bobrien/src/emacs/src/emacs-28.0.50.4.pdmp
> /Users/bobrien/src/emacs/src/bootstrap-emacs.pdmp
> /Users/bobrien/src/emacs/src/emacs-28.0.50.1.pdmp

Look at their time stamps, and compare with that of the Emacs
executable.

Also, I don't understand why you see the .1, .2, .3, etc. suffixes
there: they aren't supposed to be in the installed directories.

> I assume src/emacs.pdmp is loaded when I execute 
> 	./src/emacs -Q (same directory).
> 
> Is it also safe to assume that when I execute 
> 	./nextstep/Emacs.app/Contents/MacOS/Emacs -Q 
> That Emacs is loading the Emacs.pdmp file in the same directory?

Yes, if Emacs finds a .pdmp file right next to its executable, it
tries to use it.

> I believe, during the make install, somehow the Emacs.pdmp gets copied into the libexec directory, but an invalid Emacs.pdmp stays in the parent directory of libexec.

Yes, and that invalid (old) file should be removed by hand.